<?php

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT .'/helpers');

// Create shortcuts to some parameters.
$params = $this->item->params;
$images = json_decode($this->item->images);
$attribs = json_decode($this->item->attribs);

foreach($attribs as $key => $value) {
    if($value != null) {
    	$params->set($key, $value);
    }
}

$canEdit	= $this->item->params->get('access-edit');
$urls = json_decode($this->item->urls);
$user		= JFactory::getUser();

// URL for Social API
$cur_url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
$cur_url = preg_replace('@%[0-9A-Fa-f]{1,2}@mi', '', htmlspecialchars($cur_url, ENT_QUOTES, 'UTF-8'));

// OpenGraph support
$template_config = new JConfig();
$uri = JURI::getInstance();
$article_attribs = json_decode($this->item->attribs, true);

$pin_image = '';
$og_title = $this->escape($this->item->title);
$og_type = 'article';
$og_url = $cur_url;
if (version_compare( JVERSION, '1.8', 'ge' ) && isset($images->image_fulltext) and !empty($images->image_fulltext)) {     $og_image = $uri->root() . htmlspecialchars($images->image_fulltext);
     $pin_image = $uri->root() . htmlspecialchars($images->image_fulltext);
} else {
     $og_image = '';
     preg_match('/src="([^"]*)"/', $this->item->text, $matches);

     if(isset($matches[0])) {
     	$pin_image = $uri->root() . substr($matches[0], 5,-1);
     }
}


$og_site_name = $template_config->sitename;
$og_desc = '';

if(isset($article_attribs['og:title'])) {
     $og_title = ($article_attribs['og:title'] == '') ? $this->escape($this->item->title) : $this->escape($article_attribs['og:title']);
     $og_type = $this->escape($article_attribs['og:type']);
     $og_url = $cur_url;
     $og_image = ($article_attribs['og:image'] == '') ? $og_image : $uri->root() . $article_attribs['og:image'];
     $og_site_name = ($article_attribs['og:site_name'] == '') ? $template_config->sitename : $this->escape($article_attribs['og:site_name']);
     $og_desc = $this->escape($article_attribs['og:description']);
}

$doc = JFactory::getDocument();
$doc->setMetaData( 'og:title', $og_title );
$doc->setMetaData( 'og:type', $og_type );
$doc->setMetaData( 'og:url', $og_url );
$doc->setMetaData( 'og:image', $og_image );
$doc->setMetaData( 'og:site_name', $og_site_name );
$doc->setMetaData( 'og:description', $og_desc );

$useDefList = (($params->get('show_author')) or ($params->get('show_category')) or ($params->get('show_parent_category'))
	or ($params->get('show_create_date')) or ($params->get('show_modify_date')) or ($params->get('show_publish_date'))
	or ($params->get('show_hits')));

?>

<article class="item-page itemView one-page-layout one-page-wide-layout <?php echo $this->pageclass_sfx?>">
	<?php if (!empty($this->item->pagination) AND $this->item->pagination && !$this->item->paginationposition && $this->item->paginationrelative) : ?>
		<?php echo $this->item->pagination; ?>
	<?php endif; ?>
  
	<?php if ($params->get('show_title')) : ?>
	<header 
		<?php  if (isset($images->image_fulltext) and !empty($images->image_fulltext)) : ?>
		class="bigtitle has-bg" 
		style="background: url('<?php echo $images->image_fulltext; ?>');"
		<?php else: ?>
		class="bigtitle" 
		<?php endif; ?>
	>
        <?php if ($params->get('show_title')) : ?>
        <h1 class="header">
              <?php
              	$title = $this->escape($this->item->title);
              	
              	if ($params->get('link_titles') && !empty($this->item->readmore_link)) {
	              	$title = preg_replace('/__(.*?)__/i', '</a><small>${1}</small>', $title);
	              	
	              	if(stripos($title, '</a>') === FALSE) {
	              		$title .= '</a>';
	              	}
	              	
	              	$title = '<a href="'.$this->item->readmore_link.'">' . $title;
	            } else {
	            	$title = preg_replace('/__(.*?)__/i', '</span><small>${1}</small>', $title);
	            	
	            	if(stripos($title, '</span>') === FALSE) {
	            		$title .= '</span>';
	            	}
	            	
	            	$title = '<span>' . $title;
	            }
	            
	            echo $title;
              ?>
        </h1>
        <?php endif; ?>
	</header>
	<?php endif; ?>
  
  	<div class="item-content gkPage">
		<div class="itemBody">
            <?php  if (!$params->get('show_intro')) : ?>
            <?php echo $this->item->event->afterDisplayTitle; ?>
            <?php endif; ?>
            <?php echo $this->item->event->beforeDisplayContent; ?>
            <?php if (isset ($this->item->toc)) : ?>
            <?php echo $this->item->toc; ?>
            <?php endif; ?>
            <?php if (isset($urls) AND ((!empty($urls->urls_position) AND ($urls->urls_position=='0')) OR  ($params->get('urls_position')=='0' AND empty($urls->urls_position) ))
				OR (empty($urls->urls_position) AND (!$params->get('urls_position')))): ?>
            <?php echo $this->loadTemplate('links'); ?>
            <?php endif; ?>
            <?php if ($params->get('access-view')):?>
            <?php if (!empty($this->item->pagination) AND $this->item->pagination AND !$this->item->paginationposition AND !$this->item->paginationrelative):
	  			echo $this->item->pagination;
	  		 endif; ?>
            <?php echo $this->item->text; ?>
            <?php if (isset($urls) AND ((!empty($urls->urls_position)  AND ($urls->urls_position=='1')) OR ( $params->get('urls_position')=='1') )): ?>
            <?php echo $this->loadTemplate('links'); ?>
            <?php endif; ?>
            <?php if (!empty($this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND!$this->item->paginationrelative): ?>
            <?php echo $this->item->pagination; ?>
            <?php endif; ?>
            <?php elseif ($params->get('show_noauth') == true and  $user->get('guest') ) : ?>
            <?php echo $this->item->introtext; ?>
            <?php //Optional link to let them register to see the whole article. ?>
            <?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
			$link1 = JRoute::_('index.php?option=com_users&view=login');
			$link = new JURI($link1);?>
	            <p class="readmore"> <a href="<?php echo $link; ?>">
	                      <?php $attribs = json_decode($this->item->attribs);  ?>
	                      <?php
			if ($attribs->alternative_readmore == null) :
				echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
			elseif ($readmore = $this->item->alternative_readmore) :
				echo $readmore;
				if ($params->get('show_readmore_title', 0) != 0) :
				    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
				endif;
			elseif ($params->get('show_readmore_title', 0) == 0) :
				echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
			else :
				echo JText::_('COM_CONTENT_READ_MORE');
				echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
			endif; ?>
            </a> </p>
            <?php endif; ?>
            <?php endif; ?>
		  </div>
		  
		  <?php if (!empty($this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND $this->item->paginationrelative): ?>
		  <?php echo $this->item->pagination;?>
		  <?php endif; ?>          
		  
		  <?php echo $this->item->event->afterDisplayContent; ?>
	</div>
</article>